Description

The SAI portlet needs to be released in the BiodiversityLab and in the StockAssessment VREs.

As release action plan I propose the following:

1 - compile the portlet and its dependent widgets and libraries via Etics

2 - add the compiled portlet on the development environment

3 - test it

4 - deploy the portlet on the production portal

5 - test it

Please, report if you released all the components needed to this activity.

History

#1 - Feb 19, 2016 11:11 AM - Gianpaolo Coro

- Parent task set to #1451

#2 - Feb 24, 2016 09:42 AM - Giancarlo Panichi

SAI, statistical-algorithms-importer-1.0.0-3.10.1 is ready on dev and dev3 for test.

#3 - Feb 25, 2016 10:28 AM - Gianpaolo Coro

Yesterday we tested SAI on the dev portal but we discovered that the workspace explorer was not updated.

Please @francesco.mangiacrapa@isti.cnr.it, release the latest version so that we can test again.

#4 - Feb 25, 2016 11:10 AM - Francesco Mangiacrapa

Last version of Workspace Explorer was released yesterday. See:https://support.d4science.org/issues/2348. Last night Etics build is failed you can try

to run a remote build and if it's ok update SAI for testing in dev environment

#5 - Feb 25, 2016 02:16 PM - Giancarlo Panichi

A new build of SAI is ready on dev and dev3 for test.

#6 - Feb 25, 2016 05:15 PM - Gianpaolo Coro

- % Done changed from 0 to 90

SAI has been tested in the pre-prod, dev and dev3 environments. It works and is ready to be put in the production env.

@roberto.cirillo@isti.cnr.it can we make a plan for this? I need to schedule a call with the BlueBRIDGE partners asap to make them use it.

#7 - Feb 26, 2016 03:46 PM - Gianpaolo Coro

SAI has been tested and is ready to be released.

#8 - Feb 26, 2016 05:05 PM - Roberto Cirillo

Gianpaolo Coro wrote:

SAI has been tested in the pre-prod, dev and dev3 environments. It works and is ready to be put in the production env.

@roberto.cirillo@isti.cnr.it can we make a plan for this? I need to schedule a call with the BlueBRIDGE partners asap to make them use it.

 It's ok for me. the portlet will be in production asap

#9 - Feb 29, 2016 10:05 AM - Giancarlo Panichi
A new build of SAI org.gcube.3-10-1/BUILD_12 is ready on dev, dev3 and preprod for test.

#10 - Mar 01, 2016 09:45 AM - Giancarlo Panichi

A new build of SAI org.gcube.3-10-1/BUILD_13 is ready on dev, dev3 and preprod for test.

#11 - Mar 01, 2016 05:25 PM - Gianpaolo Coro

There is still one issue in the WS Explorer when getting paths for shared folders. Once solved and redeployed, I will repeat the tests.

#12 - Mar 01, 2016 06:03 PM - Francesco Mangiacrapa

The problem is due to the HL when a sub-folder (of a shared folder) is created its getPath returns the relative path istead of the abosolute path, so

after performing the following code:

WorkspaceFolder wsFolder = workspace.createFolder(nameFolder, description, parentId);

_log.info("Path returned by HL: "+wsFolder.getPath());

 if the parentId is a shared folder, the log "Path returned by HL" prints the relative path of the new folder created.

For example: Creating "NewFolder" in the following position (as sub-folder of a "Shared_Folder"):

/Workspace/Shared_Folder/NewFolder

getPath() on NewFolder return /NewFolder instead of /Workspace/Shared_Folder/NewFolder

 @valentina.marioli@isti.cnr.it please fix the issue asap

#14 - Mar 02, 2016 09:43 AM - Giancarlo Panichi

A new build of SAI org.gcube.3-10-1/BUILD_14 is ready on dev, dev3 and preprod for test.

#16 - Mar 02, 2016 11:45 AM - Valentina Marioli

Please, do not use dev or dev3 to test the components. They are not updated to gCube 3.10.1.

Use just preprod environment for testing.

#17 - Mar 02, 2016 12:16 PM - Francesco Mangiacrapa

Fixed a minor glitch for Workspace Explorer in order to avoid a double scrollbar when the Create Folder panel is shown

It's already released with the following Etics build: 

http://etics.esl.eng.it/etics-repository-ws//reports/id/cbd34cdd-d44a-4e19-a9fe-cb1cb6af71ef/centos6.7_x86_64_gcc447/-/reports/build-status.xml

@g.panichi@isti.cnr.it, you can perform a SAI remote build on ETICS and then update it in preprod to include this fix.

#18 - Mar 02, 2016 02:28 PM - Gianpaolo Coro

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

It works for me in the preproduction environment. SAI is ready to be released

#19 - Mar 02, 2016 02:54 PM - Giancarlo Panichi

This is last build:

http://etics.esl.eng.it/etics-repository-ws/reports/id/1641d70b-4576-4910-bb16-3f9214ae0554/centos6.7_x86_64_gcc447/-/reports/build-status.xml

http://etics.esl.eng.it/etics-repository-ws/download/volatile/org.gcube.3-10-1/org.gcube/statistical-algorithms-importer/1.0.0/centos6.7_x86_64_gcc447

/statistical-algorithms-importer-1.0.0-0.tar.gz
